freemarker.debug

## Class Breakpoint

- java.lang.Object
- - freemarker.debug.Breakpoint

All Implemented Interfaces:
  Serializable, Comparable

    public class Breakpoint
    extends Object
    implements Serializable, Comparable

Represents a breakpoint location consisting of a template name and a line number.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Breakpoint(String templateName, int line)` Creates a new breakpoint.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`int` `getLine()` Returns the line number of the breakpoint
`String` `getLocationString()` Returns the template name and the line number separated with a colon
`String` `getTemplateName()` Returns the template name of the breakpoint
`int` `hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Breakpoint

    public Breakpoint(String templateName,
                      int line)

Creates a new breakpoint.

Parameters:
  `templateName` - the name of the template
  `line` - the line number in the template where to put the breakpoint

### Method Detail

#### getLine

    public int getLine()

Returns the line number of the breakpoint

#### getTemplateName

    public String getTemplateName()

Returns the template name of the breakpoint

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(Object o)

Specified by:
  `compareTo` in interface `Comparable`

#### getLocationString

    public String getLocationString()

Returns the template name and the line number separated with a colon